"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const http_1 = require("@angular/common/http");
const rest_util_1 = require("./rest.util");
const _ = tslib_1.__importStar(require("lodash"));
class ParamUtil {
    static getParams(model) {
        let params;
        if (_.isNil(model)) {
            params = new http_1.HttpParams();
        }
        else if (typeof model === 'number') {
            params = new http_1.HttpParams().set('', model.toString());
        }
        else {
            params = rest_util_1.RestUtil.generateURLSearchParameters(model.getParam());
        }
        return params;
    }
}
exports.ParamUtil = ParamUtil;
//# sourceMappingURL=param.util.js.map