"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const _ = tslib_1.__importStar(require("lodash"));
const http_1 = require("@angular/common/http");
class RestUtil {
    static generateURLSearchParameters(parameters) {
        let urlSearchParameters = new http_1.HttpParams();
        if (parameters.size > 0) {
            parameters.forEach((value, key) => {
                if (_.isArray(value)) {
                    urlSearchParameters = urlSearchParameters.set(key, value.join(','));
                }
                else if (value === null) {
                    urlSearchParameters = urlSearchParameters.set(key, '');
                }
                else {
                    urlSearchParameters = urlSearchParameters.set(key, String(value));
                }
            });
        }
        return urlSearchParameters;
    }
}
exports.RestUtil = RestUtil;
//# sourceMappingURL=rest.util.js.map